package me.hammerle.supersnuvi.entity.components;

import me.hammerle.supersnuvi.entity.Entity;

public class Energy extends Component
{
    public final static Energy NULL = new Energy(null);
    
    protected Energy(Entity ent)
    {
        super(ent);
    }
    
    public void tick()
    {
    }

    public void addEnergy(double e)
    {
    }
    
    public final void addEnergyPercent(double percent)
    {
        addEnergy(percent * getMaxEnergy());
    }
    
    public double getMaxEnergy()
    {
        return 0.0;
    }
    
    public double getEnergyPercent()
    {
        return getEnergy() / getMaxEnergy();
    }
    
    public double getEnergy()
    {
        return 0.0;
    }
}
